package com.chushang.system.service;

import com.chushang.datascope.entity.DataScopeEntity;
import com.chushang.system.entity.po.SysRole;
import com.chushang.system.entity.po.SysUser;

import java.util.ArrayList;
import java.util.List;
import java.util.Set;
import java.util.stream.Collectors;

/**
 * @author by zhaowenyuan create 2022/8/19 09:43
 */
public interface ISysPermissionService {
    Set<String> getRolePermission(SysUser sysUser);

    Set<String> getMenuPermission(SysUser sysUser);

    List<DataScopeEntity> getDataScopes(SysUser sysUser);
}
